QGIS Application - Bug report #16933

No source script refreshing of an Sub included custom Script Library

2017-07-26 11:38 AM - Roberto Comune Boffelli Comune

Status: Closed

Priority: Normal
Assignee:

Category: PyQGIS Console
Affected QGIS version:2.18.10
Operating System: windows 7

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No

No

end of life
24832

Description

When i try to use my personal script (ex: Script_1.py) than
call inside anthor sub custom script (ex: My_Functions.py)

the primary script load and use it correctly before than
i make some modifications to the included script My_Functions.py

in this case all modification applied to the sub included script
don't appaire to be considered ... to resolve and work around the
problem i need to quit the QGis and restart it ...

the QGis next time reload the sub included script to the last
right version ...

History

#1 - 2017-07-26 11:39 AM - Roberto Comune Boffelli Comune

When i try to use my personal script (ex: Script_1.py) than
call inside another sub custom script (ex: My_Functions.py)

the primary script load and use it correctly before than

i make some modifications to the included script My_Functions.py
in this case all modification applied to the sub included script
don't appaire to be considered ... to resolve and work around the
problem i need to quit the QGis and restart it ...

the QGis next time reload the sub included script to the last

right version ....

#2 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
